Saltar al contenido principal
POST
/
api
/
v1
/
llm
/
evals
/
suites
/
{suite_id}
/
versions
Python (SDK)
from meetkai_mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.llm.evals.create_suite_version(suite_id="eval_suite_aa87e2b1112a455b8deabed784372198", manifest={
        "tasks": [
            {
                "id": "spanish_qa",
                "type": "custom",
                "dataset": {
                    "source": "huggingface",
                    "path": "IIC/AQuAS",
                    "split": "test",
                },
                "prompt_template": "Responde usando el contexto.\n\nContexto: {{context}}\n\nPregunta: {{question}}\n\nRespuesta:",
                "target_template": "{{answer}}",
                "grader": {
                    "type": "python",
                    "contract": "model_backed",
                    "model_access": "mka1",
                    "file_id": "file_grader123",
                },
                "preprocess": {
                    "type": "python",
                    "source": "def transform(row):\n    return row\n",
                },
                "num_fewshot": 1,
            },
        ],
    }, make_active=True)

    # Handle response
    print(res)
{
  "id": "<string>",
  "object": "<unknown>",
  "suite_id": "<string>",
  "version": 0,
  "manifest": {
    "tasks": [
      "<unknown>"
    ],
    "schema_version": "2026-05-27",
    "metadata": {}
  },
  "dataset_file_ids": [
    "<string>"
  ],
  "metadata": {},
  "created_at": 0
}

Autorizaciones

Authorization
string
header
requerido

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Encabezados

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parámetros de ruta

suite_id
string
requerido

Cuerpo

application/json
manifest
object
requerido
metadata
object
make_active
boolean
predeterminado:true

Respuesta

200 - application/json

Está bien

id
string
requerido
object
any
requerido
suite_id
string
requerido
version
integer
requerido
Rango requerido: -9007199254740991 <= x <= 9007199254740991
manifest
object
requerido
dataset_file_ids
string[]
requerido
metadata
object
requerido
created_at
integer
requerido
Rango requerido: -9007199254740991 <= x <= 9007199254740991